cereal::traits::detail::NoConvertBase Struct Reference

Used to help strip away conversion wrappers. More...

`#include </home/shane/workspace/cereal/include/cereal/details/traits.hpp>`

Inheritance diagram for cereal::traits::detail::NoConvertBase:

## Detailed Description

Used to help strip away conversion wrappers.

If someone writes a non-member load/save minimal function that accepts its parameter as some generic template type and needs to perform trait checks on that type, our NoConvert wrappers will interfere with this. Using the struct strip_minmal, users can strip away our wrappers to get to the underlying type, allowing traits to work properly

The documentation for this struct was generated from the following file:

- /home/shane/workspace/cereal/include/cereal/details/traits.hpp